# OpenML dataset: steel-plates-fault

https://www.openml.org/d/40973

**WARNING: This dataset is still in preparation.**

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**: Semeion, Research Center of Sciences of Communication, Rome, Italy.     
**Source**: [UCI](http://archive.ics.uci.edu/ml/datasets/steel+plates+faults)     
**Please cite**: Dataset provided by Semeion, Research Center of Sciences of Communication, Via Sersale 117, 00128, Rome, Italy.  

**Steel Plates Faults Data Set**  
A dataset of steel plates' faults, classified into 7 different types. The goal was to train machine learning for automatic pattern recognition.

The dataset consists of 27 features describing each fault (location, size, ...) and 7 binary features indicating the type of fault (on of 7: Pastry, Z_Scratch, K_Scatch, Stains, Dirtiness, Bumps, Other_Faults). This is a multilabel classification task on the type of the fault as target

### Attribute Information  
* V1: X_Minimum  
* V2: X_Maximum  
* V3: Y_Minimum  
* V4: Y_Maximum  
* V5: Pixels_Areas  
* V6: X_Perimeter  
* V7: Y_Perimeter  
* V8: Sum_of_Luminosity  
* V9: Minimum_of_Luminosity  
* V10: Maximum_of_Luminosity  
* V11: Length_of_Conveyer  
* V12: TypeOfSteel_A300  
* V13: TypeOfSteel_A400  
* V14: Steel_Plate_Thickness  
* V15: Edges_Index  
* V16: Empty_Index  
* V17: Square_Index  
* V18: Outside_X_Index  
* V19: Edges_X_Index  
* V20: Edges_Y_Index  
* V21: Outside_Global_Index  
* V22: LogOfAreas  
* V23: Log_X_Index  
* V24: Log_Y_Index  
* V25: Orientation_Index  
* V26: Luminosity_Index  
* V27: SigmoidOfAreas  
* V28: Pastry  
* V29: Z_Scratch  
* V30: K_Scratch  
* V31: Stains  
* V32: Dirtiness  
* V33: Bumps  
* V34: Other_Faults 
* target: multilabel target for different fault types (V28-V34) 

### Relevant Papers  
1.M Buscema, S Terzi, W Tastle, A New Meta-Classifier,in NAFIPS 2010, Toronto (CANADA),26-28 July 2010, 978-1-4244-7858-6/10 Â©2010 IEEE  
2.M Buscema, MetaNet: The Theory of Independent Judges, in Substance Use & Misuse, 33(2), 439-461,1998

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/40973) of an [OpenML dataset](https://www.openml.org/d/40973). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/40973/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/40973/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/40973/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

